Displaying 8 results from an estimated 8 matches for "log_warning_msg".
2017 May 12
3
samba-ad restart fails occasionally
...ebooting the DC solves everything, but scheduling a reboot every
morning is not an elegant solution. :-)
Here is the part of the sernet-samba-ad script where the restart occurs:
> PID=$(cat ${PIDFILE})
>
> if ! (readlink /proc/${PID}/exe | grep -q "^${BINARY}") ; then
> log_warning_msg "Warning: ${BINARY} not running with PID=${PID} from ${PIDFILE} ! "
> exit 0
> fi
>
> kill -15 ${PID}
> for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30; do
> sleep 3
> kill -0 ${PID} >/dev/null 2>&1 || break...
2017 May 12
0
samba-ad restart fails occasionally
...ing a reboot
> every morning is not an elegant solution. :-)
>
> Here is the part of the sernet-samba-ad script where the
> restart occurs:
>
> > PID=$(cat ${PIDFILE})
> >
> > if ! (readlink /proc/${PID}/exe | grep -q "^${BINARY}") ; then
> > log_warning_msg "Warning: ${BINARY} not running
> with PID=${PID} from ${PIDFILE} ! "
> > exit 0
> > fi
> >
> > kill -15 ${PID}
> > for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
> 19 20 21 22 23 24 25 26 27 28 29 30; do
> > sleep 3
> > ki...
2014 Mar 23
1
Bug#742397: xen-utils-common: /etc/init.d/dom0weight is hardcoded to use xm
...ns
XENSTORED_DIR="/var/run/xenstored"
[ -r /etc/default/xen ] && . /etc/default/xen
[ -r /etc/default/xend ] && . /etc/default/xend
PATH=/sbin:/bin:/usr/sbin:/usr/bin
DESC="Xen daemons"
ROOT=$(/usr/lib/xen-common/bin/xen-dir 2>/dev/null)
if [ $? -ne 0 ]; then
log_warning_msg "Not running within Xen or no compatible utils"
exit 0
fi
TOOLSTACK=$(/usr/lib/xen-common/bin/xen-toolstack 2>/dev/null)
if [ $? -ne 0 ]; then
log_warning_msg "No usable Xen toolstack selected"
exit 0
fi
[ -e "$ROOT"/bin/xend ] && XEND="$ROOT"/b...
2012 Feb 29
4
Bug#661687: xen-utils-common: TOOLSTACK setting not honored
Package: xen-utils-common
Version: 4.1.2-3
Severity: important
/etc/default/xen, which carries the TOOLSTACK setting, is not honored by xend init script.
The xend initscript doesn't check for the value of TOOLSTACK. It just populates it in its initscript.
lnx200-39:/etc/init.d# grep TOOLSTACK *
xend:TOOLSTACK=$(/usr/lib/xen-common/bin/xen-toolstack 2>/dev/null)
xend: if [ -z
2014 Oct 12
2
Bug#764912: xen-utils-common: needs to apply SE Linux labels after creating directories in start script
...ns
XENSTORED_DIR="/var/run/xenstored"
[ -r /etc/default/xen ] && . /etc/default/xen
[ -r /etc/default/xend ] && . /etc/default/xend
PATH=/sbin:/bin:/usr/sbin:/usr/bin
DESC="Xen daemons"
ROOT=$(/usr/lib/xen-common/bin/xen-dir 2>/dev/null)
if [ $? -ne 0 ]; then
log_warning_msg "Not running within Xen or no compatible utils"
exit 0
fi
TOOLSTACK=$(/usr/lib/xen-common/bin/xen-toolstack 2>/dev/null)
if [ $? -ne 0 ]; then
log_warning_msg "No usable Xen toolstack selected"
exit 0
fi
[ -e "$ROOT"/bin/xend ] && XEND="$ROOT"/b...
2012 Jul 19
1
Bug#680528: xen-utils-common: Please disable xendomains auto-start
...n-utils-common.xendomains.init
index df4265c..6f08b92 100644
--- a/xen/debian/xen-utils-common.xendomains.init
+++ b/xen/debian/xen-utils-common.xendomains.init
@@ -23,6 +23,14 @@ then
exit 0;
fi
+TOOLSTACK=$(/usr/lib/xen-common/bin/xen-toolstack 2>/dev/null)
+if [ $? -ne 0 ]; then
+ log_warning_msg "No usable Xen toolstack selected"
+ exit 0
+fi
+if [ "$(basename "$TOOLSTACK")" != xm ] && [ "$(basename "$TOOLSTACK")" != xl ]; then
+ exit 0
+fi
if ! [ -e /proc/xen/privcmd ]; then
exit 0
fi
--
1.7.10
--
Ian Campbell
Curren...
2012 Jun 24
3
Bug#678719: xen-utils-common: please label all created directories for SE Linux
...ns
XENSTORED_DIR="/var/run/xenstored"
[ -r /etc/default/xen ] && . /etc/default/xen
[ -r /etc/default/xend ] && . /etc/default/xend
PATH=/sbin:/bin:/usr/sbin:/usr/bin
DESC="Xen daemons"
ROOT=$(/usr/lib/xen-common/bin/xen-dir 2>/dev/null)
if [ $? -ne 0 ]; then
log_warning_msg "Not running within Xen or no compatible utils"
exit 0
fi
TOOLSTACK=$(/usr/lib/xen-common/bin/xen-toolstack 2>/dev/null)
if [ $? -ne 0 ]; then
log_warning_msg "No usable Xen toolstack selected"
exit 0
fi
[ -e "$ROOT"/bin/xend ] && XEND="$ROOT"/b...
2019 Feb 10
21
[PATCH 00/13] Patch blast of salsa wip.testme branch
The contents are the wip.testme branch currently on salsa. I combined
the wip.initscript and wip.oxenstored into this and added more things
today. I think this is pretty gtg and it's smoke tested (in several
cases by scping files around instead of doing package build), so it
needs a final extra review and test round before putting it in master
branch (which I don't want to force push).
I